<page xmlns="http://projectmallard.org/1.0/"
      type="topic"
      id="gedit-plugins-insert-date-time">

<info>
  <link type="guide" xref="gedit-plugin-guide#gedit-default-plugins"/>
  <desc>Insert the current date/time at the cursor position.</desc>
</info>

<title>Insert date/time</title>

  <p>As this name of this plugin suggests, the <gui>Insert Date/Time</gui>
  plugin allows you to insert the date and/or time at the current cursor
  position.</p>

  <steps>
    <title>To enable the plugin:</title>
    <item>
      <p>Press the menu button in the top-right corner of the window and select
      <guiseq><gui style="menuitem">Preferences</gui>
      <gui style="tab">Plugins</gui></guiseq>.</p>
    </item>
    <item>
      <p>Select <gui style="menuitem">Insert Date/Time</gui> to enable the plugin.</p>
    </item>
  </steps>

  <p>To use the plugin press
  <keyseq><key>Shift</key><key>Alt</key><key>D</key></keyseq>, or press the
  menu button in the top-right corner of the window and select
  <guiseq><gui style="menuitem">Tools</gui>
  <gui style="menuitem">Insert Date and Time…</gui></guiseq>.</p>

  <p>By default, the <gui>Insert Date/Time</gui> plugin will prompt you to
  choose your preferred date/time format each time that you use the plugin.
  However, you can choose your own default date and time format by pressing the
  menu button in the top-right corner of the window and selecting <guiseq>
  <gui style="menuitem">Preferences</gui><gui style="tab">Plugins</gui><gui>
  Insert Date/Time</gui><gui style="button">Preferences</gui></guiseq>.</p>

</page>
